<?

##########

# Calculo das 4 parciais

##########



//

// Parcial 1

//

$parcial_1 = $posicao_1 . $posicao_2 . $posicao_3 . 'X';

//echo $valor_do_boleto . ' - ';

//echo $tamanho_do_valor . ' - ';

$campo_valor = 11 - $tamanho_do_valor;

for ($i=1; $i<=$campo_valor; $i++) {

	$valor_do_boleto = '0' . $valor_do_boleto;

}

for ($i=0; $i < 7; $i++) {

	$parcial_1 .= $valor_do_boleto[$i];

}



//

// Parcial 2

//

$aux = $i;

for ($i = $aux; $i <= 11; $i++) {

	$parcial_2 .= $valor_do_boleto[$i];

}

$tamanho_cgc = strlen($cgc);

$qdade_de_zero = 21 - $tamanho_cgc;

$novo_cgc = $cgc;

for ($i=1; $i<= $qdade_de_zero; $i++) {

	$novo_cgc .= '0';

}

for ($i=0; $i<7; $i++) {

	$parcial_2 .= $novo_cgc[$i];

}

//

// Parcial 3

//

$aux = $i;

for ($i=$aux; $i<($aux+11); $i++) {

	$parcial_3 .= $novo_cgc[$i];

}

//

// Parcial 4

//

$aux = $i;

for ($i=$aux; $i<21; $i++) {

	$parcial_4 .= $novo_cgc[$i];

}

$tamanho_da_insc = strlen($numero_da_insc);

$numero_in = $numero_da_insc;

for($i=1; $i<=(8-$tamanho_da_insc); $i++) {

	$numero_in = '0' . $numero_in;

}

for ($i=0; $i<8; $i++) {

	$parcial_4 .= $numero_in[$i];

}

?>